Start a Besu Instance
post
/api/v1/besu/instance/{id}/action/start
Start a Besu instance.
Request
Path Parameters
-
id(required): string
Unique Besu instance identifier
Header Parameters
-
Authorization(required): string
Bearer access token. Supply as: Bearer
.
Response
Supported Media Types
- application/json
202 Response
Accepted
Headers
-
Location: string
Location Header with a URL to query the status of the request.
-
Retry-After: integer
Retry after N number of seconds.
400 Response
Bad Request
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings
401 Response
Unauthorized
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
403 Response
Forbidden. The authenticated caller lacks a required global role, instance-access-group membership, or a valid CSRF token.
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
404 Response
Not Found
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings
409 Response
Operation conflict
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings
500 Response
Internal Server Error
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings